com.collabnet.ce.soap60.webservices.pluggable

## Class IntegratedAppResourceBundleSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.pluggable.IntegratedAppResourceBundleSoapDO

-     public class IntegratedAppResourceBundleSoapDO
      extends Object

  Represents an Integrated Application resource bundle for a locale
  Since:
    7.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegratedAppResourceBundleSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocale()` Returns 'locale'.
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `getResources()` Returns 'resources'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setLocale(String locale)` Sets 'locale'.
    `void` | `setResources(com.collabnet.ce.soap60.types.SoapNamedValues resources)` Sets 'resources'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegratedAppResourceBundleSoapDO

          public IntegratedAppResourceBundleSoapDO()

  - ### Method Detail

    - #### getLocale

          public String getLocale()

      Returns 'locale'.
      Returns:
        Value of 'locale'.

    - #### setLocale

          public void setLocale(String locale)

      Sets 'locale'.
      Parameters:
        `locale` - Value of 'locale'.

    - #### getResources

          public com.collabnet.ce.soap60.types.SoapNamedValues getResources()

      Returns 'resources'.
      Returns:
        Value of 'resources'.

    - #### setResources

          public void setResources(com.collabnet.ce.soap60.types.SoapNamedValues resources)

      Sets 'resources'.
      Parameters:
        `resources` - Value of 'resources'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.